跳转到主要内容
GET
/
client
/
shipments
/
{orderNumber}
Retrieve a shipment
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/shipments/{orderNumber} \
  --header 'Authorization: Bearer <token>'
{ "message": "Shipment retrieved successfully", "code": 0, "data": { "shipment": { "orderNumber": "UNI0199855FF", "trackingId": "UR05310000000001281", "recipient": { "name": "Jane Doe", "email": "jane@example.com" }, "address": { "address1": "88 Harbour St", "city": "Toronto", "province": "ON", "postalCode": "M7A 2S1", "country": "Canada" }, "dimensions": { "length": 1, "width": 1, "height": 1, "dimensionUnit": "INCH" }, "weight": { "value": 2, "weightUnit": "LB" }, "status": "PENDING", "note": "", "createdAt": "2025-05-31T20:48:39.986Z", "updatedAt": "2025-07-25T17:29:30.772Z", "rates": { "postageType": "NEXT DAY", "postageFee": 4.93, "tax": 0.64, "total": 5.57, "currency": "CAD" }, "shipmentLineItems": [] } } }

授权

Authorization
string
header
必填

API access token generated from the UniUni Platform dashboard.

路径参数

orderNumber
string
必填

The unique order number (e.g. UNI031455E90).

响应

200 - application/json

Shipment retrieved or error returned

message
string
必填

Additional information about the request status.

code
integer
必填

Status code. 0 indicates success.

data
object